2015-05-01  warnes

	* [r2013] inst/ChangeLog: Update ChangeLog (again)
	* [r2012] man/gplots-defunct.Rd: Summary: Correct man page name
	* [r2011] man/gplots-deprecated.Rd: Summary: Forgot to add \alias
	  for smartlegend.
	* [r2010] man/lmplot2.Rd: Remove leftover alias
	* [r2009] inst/ChangeLog: Commit ChangeLog
	* [r2008] NAMESPACE, inst/NEWS: Update NEWS again.
	* [r2007] man/gplots-defunct.Rd, man/gplots-deprecated.Rd,
	  man/lmplot2.Rd, man/smartlegend.Rd: Mark boxplot.n and()
	  plot.lm2() as defunct.
	* [r2006] R/boxplot2.R, R/lmplot2.R: Make ballonplot.n() and
	  plot.lm2() 'defunct'.
	* [r2005] inst/ChangeLog, inst/NEWS: Update NEWS and ChangeLog
	  again.
	* [r2004] man/sinkplot.Rd: Summary: Punctuation.
	* [r2003] NAMESPACE: Correct URLs in man pages.
	* [r2002] man/heatmap.2.Rd, man/sinkplot.Rd: Correct URLs in man
	  pages.
	* [r2001] inst/NEWS: Update NEWS again.
	* [r2000] DESCRIPTION: Improve package description.
	* [r1999] man/smartlegend.Rd: Mark 'smartlegend' as deprecated
	* [r1998] R/smartlegend.R: Summary: Mark smartlegend() as
	  deprecated.
	* [r1997] man/venn.Rd: Summary: venn example used 'F' instead of
	  'FALSE'.
	* [r1996] DESCRIPTION, inst/ChangeLog, inst/NEWS: Update
	  DESCRIPTION, NEWS, and ChangeLog again for gplots 2.17.0.
	* [r1995] R/heatmap.2.R: - heatmap.2: row traces could be plotted
	  in the wrong order.
	* [r1994] R/heatmap.2.R, man/heatmap.2.Rd: - heatmap.2: column
	  traces could be plotted in the wrong order.
	  - heatmap.2: add support for plotting sub-clusters of the full
	  row and
	  column dendrograms

2015-04-23  warnes

	* [r1955] inst/ChangeLog, inst/NEWS: Update NEWS and ChangeLog
	* [r1954] DESCRIPTION, R/heatmap.2.R, inst/ChangeLog, inst/NEWS: In
	  heatmap.2(), the color key now properly handles color breaks that
	  are not equally spaced. (Issue reported by Tim Richter-Heitmann.)
	* [r1948] R/plotCI.R: - plotCI() was not properly respecting the
	  'type=' argument. This has
	  been corrected.
	* [r1947] R/overplot.R: - Remove stray browser() call from
	  overplot()
	* [r1943] man/balloonplot.Rd: Explicitly specify argument to
	  gplots:::reorder.factor to prevent error.
	* [r1942] R/venn.R, man/venn.Rd: - The returned object from venn()
	  now includes a 'interesection'
	  attribution containing a list of which items are in each set
	  intersection. This can be turned off by settting
	  'intersection=FALSE'.
	* [r1941] R/heatmap.2.R: Patch submitted by Ilia Kats:
	  - easily extract and plot subclusters from a big heatmap using
	  the
	  same colorkey, by passing a dendgrogram of the subcluster
	  together
	  with the full data matrix and, optionally, the breaks of the full
	  heatmap in order to obtain the same color scaling. This is useful
	  if
	  one wants to plot several subclusters as different panels in a
	  paper, but maintain consistent color coding.
	  - Improves the behavior of the color key axis labels, as they now
	  honor par("cex") and par("cex.lab").
	* [r1940] R/heatmap.2.R: In heatmap.2() split calls to distfun()
	  and hclustfun() into separate steps to make debugging easier

2015-04-22  warnes

	* [r1931] DESCRIPTION, inst/ChangeLog, inst/NEWS: Update
	  DESCRIPTION, ChangeLog, and NEWS for gplots 2.17.0
	* [r1930] R/heatmap.2.R, man/heatmap.2.Rd: heatmap.2: add new
	  'colRow' and 'colCol' arguments to control the color of row and
	  column text labels

2015-04-06  warnes

	* [r1916] inst/ChangeLog: Add ChangeLog files to repository

2015-01-02  warnes

	* [r1913] DESCRIPTION, inst/NEWS: Update for gplots release 2.16.0.
	* [r1912] R/plotmeans.R: Change default group count lable back to
	  'n='.
	* [r1911] R/plotmeans.R, man/plotmeans.Rd: - plotmeans: Pass
	  optional graphical arguments captured in '...' axis function
	  used to draw the x axis.
	  - plotmeans: Add an new argument 'text.n.label' to specify the
	  text
	  used for labelingthe number of elements in a group.
	* [r1910] R/plotmeans.R: - Remove S-Plus-specific code
	  - Simplify model frame code

2014-12-03  warnes

	* [r1909] tests/heatmap2Test.Rout.save: Update stored test output
	  to account for new startup message from KernSmooth package
	* [r1908] DESCRIPTION: Fix package title capitalization.

2014-12-02  warnes

	* [r1907] inst/NEWS: Add descrioption of node stack overflow issue
	  and work-around.
	* [r1906] R/bandplot.R: Move '...' argument to bandplot.formula to
	  match man page.
	* [r1905] tests/test_plottingDeepDendrogram.R: plot.dendrogram
	  isn't exported by gplots, so it must be referenced using the
	  ':::' notation.
	* [r1904] man/bandplot.Rd: Man page fixes.
	* [r1903] NAMESPACE: Add exports of new bandplot methods to
	  NAMESPACE file.
	* [r1902] R/bandplot.R: Code cleanup.
	* [r1901] R/bandplot.R: Simplify model.frame code for
	  bandplot.formula.

2014-12-01  warnes

	* [r1900] inst/NEWS: Update for 2.15.0
	* [r1899] DESCRIPTION, R/bandplot.R, man/bandplot.Rd: Convert
	  bandplot to S3-method dispatch and add method for class formula.
	* [r1898] NAMESPACE: Improve whitespace

2014-09-17  warnes

	* [r1895] NAMESPACE: Minor reformatting.
	* [r1894] R/plotNode.R: Explicitly reset namespace for dendrogram
	  functions copied from stats.
	* [r1893] DESCRIPTION, inst/NEWS: Update DESCRIPTION and NEWS for
	  gplots 2.14.2
	* [r1892] R/heatmap.2.R, R/plotNode.R: To work around recursion
	  limit issues triggered by deeply nested
	  dendrograms, (1) create a local *intepreted* copy of
	  stats:::plotNode(), (2) detect recursion limit error message
	  within
	  heatmap.2() and generate a more user-friendly message.
	* [r1891] tests/dat.csv, tests/test_plottingDeepDendrogram.R: Add
	  test case for exceeding recursion limits when plotting deeply
	  nested dendrograms
	* [r1890] R/heatmap.2.R: heatmap.2 was not properly handling
	  integer vectors for Rowv and Colv.
	* [r1889] R/heatmap.2.R: key.title=NA was not being honored when
	  density.info=NA.

2014-09-16  warnes

	* [r1888] R/plotNode.R: Add plotNode code to allow modificaiton of
	  algorithm from recursive to iterative for the purpose of avoiding
	  node stack overflow.
	* [r1887] R/heatmap.2.R, man/heatmap.2.Rd: - Correct statement of
	  default color for 'notecol' argumemt to 'heatmap.2'.
	  - Modify default arguments to 'symbreaks' and 'symkey' to make
	  the
	  logic more evident by replacing min() with any(). (The previous
	  code executed properly, but relied on implicit coercion of
	  logicals
	  to numeric, obscuring the intent.)

2014-06-30  warnes

	* [r1823] R/heatmap.2.R: Fix typo in dendrogram size checking code.

2014-06-19  warnes

	* [r1822] R/heatmap.2.R: Fix typo 'ColInd' --> 'colInd'.
	* [r1821] DESCRIPTION, inst/NEWS: Update for gplots 2.14.0

2014-06-17  warnes

	* [r1820] man/heatmap.2.Rd: - Document new 'key.title', 'key.xlab',
	  'key.ylab', 'key.xtickfun',
	  'key.ytickfun', 'key.par' arguments to heatmap.2 (belated
	  commit).
	  - Document new 'reorderfun' argument to heatmap.2.
	* [r1819] R/heatmap.2.R: Allow user to specify function used to
	  reorder based on the dendogram
	  via a new 'reorderfun' argument. Suggested by Yuanhua Liu.
	* [r1818] R/heatmap.2.R: Fix typo in heatmap.2() reported by
	  Yuanhua Liu.

2014-06-05  warnes

	* [r1817] R/heatmap.2.R: Check size of Rowv and Colv dendogram
	  objects to ensure they matches data.

2014-04-17  warnes

	* [r1812] man/hist2d.Rd: Add see also to r2d2::freq2d.
	* [r1811] man/ci2d.Rd: Add reference to r2d2::conf2d.

2014-04-09  warnes

	* [r1802] R/heatmap.2.R: Add padj=0.5 to better align margin
	  labels.

2014-04-05  warnes

	* [r1781] inst/NEWS: Update NEWS
	* [r1780] R/heatmap.2.R, man/heatmap.2.Rd: Add 'extrafun' argument
	  to heatmap.2 to allow the user to perform
	  additional customization by providing a function to be called
	  before
	  heatmap.2 exits.

2014-04-04  warnes

	* [r1779] DESCRIPTION, inst/NEWS: Update for gplots 2.13.0
	* [r1778] R/heatmap.2.R: Fix handling of row trace (hline). Bug
	  report and patch provided by Ilia Kats.

2013-10-21  warnes

	* [r1744] man/gplots-deprecated.Rd: Handle 'ask' argument in
	  lmplot2 function proper, rather than in (depreciated) plot.lm2
	  wrapper.
	* [r1743] inst/NEWS: Correct release number
	* [r1742] R/lmplot2.R: Handle 'ask' argument in lmplot2 function
	  proper, rather than in (depreciated) plot.lm2 wrapper.
	* [r1741] man/lmplot2.Rd: Fix typo

2013-10-15  warnes

	* [r1740] NAMESPACE: Add boxplot2 and lmplot2 to NAMESPACE
	* [r1739] DESCRIPTION, inst/NEWS: Update for gplots release 2.12.1
	* [r1738] R/boxplot.n.R, R/boxplot2.R, R/lmplot2.R, R/plot.lm.R,
	  man/boxplot.n.Rd, man/boxplot2.Rd, man/gplots-deprecated.Rd,
	  man/lmplot2.Rd, man/plot.lm2.Rd: Rename boxplot.n to boxplt2 and
	  plot.lm2 to lmplot2
	* [r1737] man/lmplot2.Rd: Make lmplot2 manual page from plot.lm.2
	  manual page.
	* [r1736] man/boxplot2.Rd: Make boxplot2 manual page from boxplot.n
	  manual page.
	* [r1735] man/gplots-deprecated.Rd: Create deprecated man page from
	  boxplot.n man page

2013-10-12  warnes

	* [r1734] inst/NEWS: Update NEWS with latest changes
	* [r1733] man/ci2d.Rd: Mark one example dontrun to avoid --as-cran
	  warning.

2013-10-11  warnes

	* [r1732] R/overplot.R: Allow standard S3 method handling to locate
	  the correct function.
	* [r1731] R/overplot.R: Fix error when a subgroup contains no
	  finite values
	* [r1730] tests/heatmap2Test.Rout.save: Update test output
	* [r1729] DESCRIPTION: Move several packages from Depends to
	  Imports, Suggests
	* [r1728] man/ci2d.Rd: Use gdata::nobs in example
	* [r1727] NAMESPACE: caTools and KernSmooth now have namespaces, so
	  import from them.
	* [r1726] inst/NEWS: Update files for gplots 2.12.0
	* [r1725] DESCRIPTION, inst/NEWS: Update files for gplots 2.12.0
	* [r1724] R/heatmap.2.R, man/heatmap.2.Rd: Add parameters to
	  control row and column label positioning, rotation,
	  justification, and offset.
	* [r1723] R/venn.R: Fix bug in getVennCounts.data.frame when number
	  of TRUE cases in each variable are equal.

2013-06-28  warnes

	* [r1680] inst/doc/BalloonPlot.pdf: Update PDF file, including new
	  email addresses

2013-06-27  warnes

	* [r1679] inst/NEWS: Update for gplots 2.11.3
	* [r1678] DESCRIPTION: Update for release 2.11.3
	* [r1677] tests/heatmap2Test.Rout.save: Update with tests for only
	  1 row/column separator
	* [r1676] man/plotmeans.Rd: Fix typo
	* [r1675] tests/heatmap2Test.R: Add test for one row/column
	  separator
	* [r1674] R/baseOf.R: Add more in-line comments
	* [r1673] R/sinkplot.R, man/sinkplot.Rd: Modify sinkplot to use a
	  local environement to store its information instead of the global
	  environment.

2013-03-24  warnes

	* [r1647] inst/NEWS: Update news for release 2.11.2
	* [r1646] R/barplot2.R, man/barplot2.Rd: Add ci.width argument to
	  barplot2() to allow varying the length of the 't' at the end of
	  confidence interval bars.
	* [r1642] DESCRIPTION: Update for release 2.11.2
	* [r1641] man/lowess.Rd: Update manual page for lowess.default() to
	  match changed argument list for lowess() in R 3.0.0

2012-12-14  warnes

	* [r1631] R/plot.venn.R: Fix typo: warn() instead of warning().
	* [r1630] vignettes/venn.Rnw: Fix syntax of VignetteIndexEntry in
	  venn.Rnw.
	* [r1629] vignettes/venn.Rnw, vignettes/venn.pdf: Add generated
	  vignette pdf.
	* [r1628] vignettes/venn.Rnw: Add required VignetteIndexEntry
	  metadata to venn vignette code.
	* [r1627] DESCRIPTION, inst/NEWS: Update DESCRIPTION and NEWS for
	  release 2.11.1.
	* [r1626] R/baseOf.R, R/plot.venn.R, R/venn.R, vignettes,
	  vignettes/venn.Rnw: Improve venn() to work with PDF and
	  Sweave/pdflatex. Provide a vignette for venn().
	* [r1625] R/heatmap.2.R: Fix error in processing the colsep
	  argument to heatmap.2.
	* [r1624] man/plotmeans.Rd: Clarify that plotmeans is intended for
	  a *continuous* outcome based on
	  a *factor* grouping level.
	* [r1623] inst/doc/BalloonPlot.pdf: Replace corrupted
	  BalloonPlot.pdf file and remove svn properties that were causing
	  it to be corrupted.

2012-06-08  warnes

	* [r1558] inst/NEWS: Update NEWS for 2.11.0 release.
	* [r1557] DESCRIPTION, R/barplot2.R, R/ooplot.R, R/plotCI.R,
	  R/sinkplot.R, man/qqnorm.aov.Rd, tests/heatmap2Test.Rout.save:
	  Fix R CMD check warnings.
	* [r1556] man/hist2d.Rd: Move incorrectly placed closing brace.

2012-06-07  warnes

	* [r1555] R/ci2d.R, R/hist2d.R, R/print.hist2d.R, man/hist2d.Rd:
	  Object returned by hist2d() has been changed:
	  - $x and $y now contain the n midpoints of the bins in each
	  direction
	  - $x.breaks, $y.breaks now contain the n+1 limits of the bins in
	  each direction
	  The function print.hist2d() has been updated appropriately.
	* [r1554] R/hist2d.R: Correct error in handling binning:
	  (N+1)x(N+1) bins were being created
	  instead of NxN bins, and the highest row/column in each direction
	  was
	  being omitted from the results and plot.
	* [r1553] R/plotmeans.R, man/plotmeans.Rd: Add default value for
	  lwd argument to plotmeans()

2012-05-31  warnes

	* [r1533] man/qqnorm.aov.Rd: Properly mark up S3 method.

2011-12-09  warnes

	* [r1519] R/plotmeans.R, man/plotmeans.Rd: Add 'lwd' (linewidth) to
	  arguments handled by plotmeans.

2011-09-02  warnes

	* [r1505] inst/NEWS: Update NEWS for release 2.10.1.
	* [r1504] DESCRIPTION: Increment version counter.
	* [r1503] man/ci2d.Rd, man/hist2d.Rd: Add necessary alias statment
	  to man files for for 'hist2d' and 'ci2d'
	  print methods.
	* [r1502] R/print.hist2d, R/print.hist2d.R: Fix naming error
	* [r1501] NAMESPACE, R/ci2d.R, R/hist2d.R, R/print.ci2d.R,
	  R/print.hist2d, man/ci2d.Rd, man/hist2d.Rd: Provide print()
	  methods for 'hist2d' and 'ci2d' objects.
	* [r1498] DESCRIPTION: Correct dependence on R >= 2.10

2011-09-01  warnes

	* [r1491] NAMESPACE, man/ci2d.Rd: - Correct issues in ci2d() man
	  page.
	* [r1490] DESCRIPTION, NAMESPACE, tests/heatmap2Test.Rout.save: -
	  Comment out import from KernSmooth in NAMESPACES, since
	  KernSmooth
	  doesn't provide a namespace.
	  - Update a test output.
	* [r1489] DESCRIPTION, inst/NEWS: - Update NEWS file and correct
	  version number
	* [r1488] DESCRIPTION: - Depend on KernSmooth package. Increment
	  version number.
	* [r1487] NAMESPACE: - Depend on KernSmooth package and import
	  'bkdeD2' and 'dpik'.
	* [r1486] R/ci2d.R, man/ci2d.Rd: Improvements to ci2d():
	  
	  - Add option to utilize KernDensity::bkde2D to estimate the 2-d
	  density (now the default).
	  
	  - Add option to display points for original data on generated
	  plots
	  
	  - Name elements of returned contour list according to the
	  significance
	  level to make it easier to select desired contours.
	  
	  - Improve handling of x and y labels
	* [r1485] man/hist2d.Rd: Remove log tag and comments from top of
	  the file.

2011-08-26  warnes

	* [r1478] inst/NEWS: Update NEWS for 2.10.0 release
	* [r1477] DESCRIPTION: Add dependency on R>= 2.10 to handle
	  compressed Rda data file.
	* [r1476] data/rtPCR.rda: Compress rtPCR example data set to make
	  distributed package smaller.
	* [r1475] R/ci2d.R: Remove '1.0' confidence line from
	  ci2d(..,show="contour").

2011-08-25  warnes

	* [r1474] DESCRIPTION, NAMESPACE, R/ci2d.R, man/ci2d.Rd,
	  man/rich.colors.Rd: - Add 'ci2d()' to compute 2-dimensional
	  emipirical confidence interval.
	  - Fix parse error in help page for 'rich.colors()'.

2011-08-16  warnes

	* [r1473] DESCRIPTION: Update DESCRIPTION file for 2.8.1.
	* [r1472] R/rich.colors.R, man/rich.colors.Rd: Add 'alpha' argument
	  to rich.colors() to control transparency.
	* [r1471] R/hist2d.R, man/hist2d.Rd: Accellerate hist2d by
	  replacing for() loop with tapply(), and allow user to specify
	  summary function applied, per suggestion by Peter Hagedorn (PHA
	  -at- santaris -dot- com).

2011-05-02  arnima

	* [r1470] R/rich.colors.R, man/rich.colors.Rd: Added argument
	  'alpha' and removed argument 'rgb' in rich.colors()

2010-12-13  warnes

	* [r1463] R/heatmap.2.R: Correct error that arises when data
	  includes NA values, identified by Melissa Key

2010-06-11  warnes

	* [r1446] man/venn.Rd: Fix errors detected by R CMD check
	* [r1445] man/venn.Rd: Fix errors detected by R CMD check
	* [r1444] man/venn.Rd: Use 'TRUE' instead of 'T' for true in venn
	  man page
	* [r1443] DESCRIPTION, NAMESPACE, inst/NEWS: Update for gplots
	  2.8.0
	* [r1442] R/baseOf.R: Moved baseOf() into a separate file
	* [r1441] man/balloonplot.Rd, man/bandplot.Rd, man/boxplot.n.Rd,
	  man/colorpanel.Rd, man/hist2d.Rd, man/ooplot.Rd, man/overplot.Rd,
	  man/plot.lm2.Rd, man/plotCI.Rd, man/plotmeans.Rd,
	  man/residplot.Rd, man/sinkplot.Rd, man/smartlegend.Rd,
	  man/space.Rd, man/textplot.Rd, man/wapply.Rd: Update Greg's email
	  address
	* [r1440] R/plot.venn.R, R/venn.R, man/venn.Rd: - venn() now
	  returns an object of class venn() and a plot method for
	  this class is provided.
	  
	  - Manual page for venn has been improved, based on contributions
	  by
	  Steffen Moeller

2010-02-17  warnes

	* [r1420] DESCRIPTION, R/hist2d.R, inst/NEWS: Improve performance
	  of hist2d thanks to suggestion by Joerg van den Hoff.

2010-01-22  arnima

	* [r1372] R/rich.color.R, R/rich.colors.R, man/rich.color.Rd,
	  man/rich.colors.Rd: Renamed files rich.color.* to rich.colors.*
	  and renamed rich.colors args

2009-11-16  arnima

	* [r1367] R/rich.color.R: Minor reformatting only.

2009-11-12  warnes

	* [r1365] DESCRIPTION, R/plotmeans.R, inst/NEWS,
	  tests/plotmeans_nobars.R: Correct bug reported by Alan Yong:
	  plotmeans() crashed when 'bars=FALSE'.

2009-10-22  warnes

	* [r1364] R/heatmap.2.R: Fixed typo in bug fix.
	* [r1363] DESCRIPTION, inst/NEWS: Update NEWS and DESCRIPTION for
	  gplots 2.7.3
	* [r1362] R/heatmap.2.R: Fix transposed display of data (but not
	  labels) in heatmap.2 when symm=TRUE

2009-10-12  warnes

	* [r1361] DESCRIPTION, inst/NEWS: Update version number to 2.7.2,
	  2.7.1 was already up but apparently DESCRIPTION wasn't commited
	  with change.

2009-10-10  warnes

	* [r1360] R/col2hex.R, man/colorpanel.Rd, man/lowess.Rd,
	  man/ooplot.Rd, man/overplot.Rd, man/smartlegend.Rd, man/space.Rd,
	  tests/heatmap2Test.Rout.save: Various minor changes to remove new
	  R CMD CHECK warnings.
	* [r1359] DESCRIPTION, inst/NEWS: Update DESCRIPTION and NEWS file
	  for 2.7.1
	* [r1358] R/col2hex.R: Fix bug reported by Ken Lo: col2hex had blue
	  and green components swapped.

2009-05-08  warnes

	* [r1324] tests/heatmap_to_heatmap.2_test.R: Add test of using a
	  dendrogram created by heatmap() with heatmap.2()
	* [r1323] R/heatmap.2.R: heatmap.2: handle NA for RowV or ColV the
	  same way as NULL
	* [r1322] man/plotCI.Rd: Fix typo
	* [r1321] inst/NEWS: Update NEWS for release 2.7.0
	* [r1320] inst/ChangeLog: We don't want the Changelog in svn, since
	  it is autogenerated from svn logs!
	* [r1319] man/balloonplot.Rd, man/bandplot.Rd, man/boxplot.n.Rd,
	  man/colorpanel.Rd, man/hist2d.Rd, man/ooplot.Rd, man/overplot.Rd,
	  man/plot.lm2.Rd, man/plotCI.Rd, man/plotmeans.Rd,
	  man/residplot.Rd, man/sinkplot.Rd, man/smartlegend.Rd,
	  man/space.Rd, man/textplot.Rd, man/wapply.Rd: Update Greg's email
	  address to 'greg@random-technologies-llc.com'
	* [r1318] R/plotCI.R, man/plotCI.Rd: plotCI now properly handles
	  'NULL' and 'NA' values for ui, li, uiw, and liw.
	* [r1317] R/heatmap.2.R, man/heatmap.2.Rd,
	  tests/heatmap2Test.Rout.save: heatmap.2: Add option to create
	  breakpoints symmetric around 0, provide additional information in
	  the return value
	* [r1316] man/space.Rd: Fix Rd syntax error

2009-04-22  warnes

	* [r1315] man/barplot2.Rd, man/ooplot.Rd: VADeaths data set has
	  move to dataset package

2008-08-14  warnes

	* [r1302] R/balloonplot.R: balloonpot() was incorrectly displaying
	  warning about z values below 0 when scale.method="relative".
	  Fixed.

2008-08-07  warnes

	* [r1301] DESCRIPTION, NAMESPACE, inst/ChangeLog, inst/NEWS: Update
	  DESCRIPTION NAMESPACE and NEWS for 2.7.0 release

2008-06-16  warnes

	* [r1296] TODO, inst/TODO: Add TODO list to gplots

2008-05-20  warnes

	* [r1274] DESCRIPTION, man/plot.lm2.Rd: Update man page to match
	  recent changes to plot.lm2()
	* [r1273] man/venn.Rd: More work on documentation for venn()
	* [r1272] R/bandplot.R, man/bandplot.Rd: Fix code/doc mismatch due
	  to recent changes to bandplot()
	* [r1271] DESCRIPTION, NAMESPACE, R/venn.R, man/venn.Rd: Add Venn
	  Diagram plot submitted by Steffen Moeller

2008-05-07  warnes

	* [r1264] DESCRIPTION, R/bandplot.R: Improve performance of
	  bandplot by calculating running standard deviation using
	  caTools::runsd() instead of (ver slow) window() call. In addtion,
	  the standard deviations are now only calculated once, rather than
	  once for each band.
	* [r1263] R/plot.lm.R: Improve performance of plot.lm for large lm
	  objects by using fitted() instead of predict() to get y-hat

2008-05-05  warnes

	* [r1262] DESCRIPTION, R/bandplot.R: Use caTools's runsd in
	  bandplot for a dramatic speedup for large data
	* [r1261] NAMESPACE: Add import of gtools::reorder.factor for
	  ballonplot man page
	* [r1260] R/balloonplot.R, man/balloonplot.Rd: balloonplot: Add
	  option to scale balloons so [min,max]->[0,1] (relative) or so
	  [0,max] <- [0,1] (absolute)

2008-04-07  warnes

	* [r1254] man/barplot2.Rd: Fix typo in barplot2() man page
	* [r1253] DESCRIPTION, inst/ChangeLog, inst/NEWS: Updates for
	  gplots 2.6.0
	* [r1252] R/heatmap.2.R, man/heatmap.2.Rd: Add ability to control
	  location of individual heatmap.2 components

2008-03-27  warnes

	* [r1251] R/heatmap.2.R: Fix bug in handling rowsep, per suggestion
	  by Steven Paugh

2008-01-04  warnes

	* [r1238] man/overplot.Rd: Fix examples for overplot()

2008-01-02  warnes

	* [r1237] man/barplot2.Rd: Update Marc's email address

2007-12-20  warnes

	* [r1235] man/heatmap.2.Rd: Two letter clarification of help text
	  for heatmap.2()
	* [r1234] man/ooplot.Rd: Restore plot layout at end of ooplot()
	  example

2007-11-06  warnes

	* [r1222] man/hist2d.Rd: Remove extraneous closing brace in the
	  hist2d documentation file

2007-11-05  warnes

	* [r1221] inst/NEWS: Fix typo in NEWS: col2hex() is the new
	  function, not col2rgb() which is part of grDevices

2007-11-02  warnes

	* [r1219] DESCRIPTION, NAMESPACE, inst/ChangeLog, inst/NEWS:
	  Updates for gplots 2.5.0
	* [r1218] tests/heatmap2Test.Rout.save: Update saved test output
	  due to changes in how R reports warnings
	* [r1217] ChangeLog, NEWS: Create soft links of gmodels/ChangeLog
	  -> gmodels/inst/ChangeLog, and gmodels/NEWS -> gmodels/inst/NEWS
	  for my convenience
	* [r1216] ChangeLog, NEWS, inst/ChangeLog, inst/NEWS: Move actual
	  ChangeLog and NEWS files to gmodels/inst so they will be copied
	  into the installed R package area
	* [r1215] man/bandplot.Rd, man/textplot.Rd: Fix code/doc mismatches
	* [r1214] R/plot.lm.R: Update plot.lm2 to match changes made to
	  bandplot

2007-11-01  warnes

	* [r1213] ChangeLog, DESCRIPTION, R/replaceTabs.R, R/textplot.R: in
	  textplot(), convert tab characters to spaces before processing to
	  avoid problems with computing height and width of text including
	  tabs when using pdf()
	* [r1212] R/overplot.R, man/overplot.Rd: Minor reformatting of
	  overplot code and docs

2007-10-22  warnes

	* [r1196] DESCRIPTION: Clarify GPL version

2007-08-14  warnes

	* [r1141] R/balloonplot.R: Correct error in balloonplot when z
	  contains NA values.
	* [r1140] R/balloonplot.R, man/balloonplot.Rd: Augment
	  balloonplot() with control of character size and color for text
	  and label items
	* [r1139] R/balloonplot.R: Correct balloonplot.default to properly
	  show specified x and y axis labels when explicitly provided

2007-03-09  ggorjan

	* [r1073] man/ooplot.Rd: use of \method in Rd markup - issues a
	  warning with _R_CHECK_RD_STYLE_=TRUE env. variable with R 2.5.0

2007-02-08  warnes

	* [r1052] DESCRIPTION: Bump version number
	* [r1051] man/textplot.Rd: Update documentation for textplot()
	* [r1050] R/col2hex.R, man/col2hex.Rd: Add col2rgb() function to
	  convert color names to rgb hex codes
	* [r1049] R/textplot.R: Add paramaeters 'col.data', 'col.rows', and
	  'col.columns' to
	  textplot.matrix to allow specification of the color of the matrix
	  data, rows, and columns.
	* [r1048] R/bandplot.R: Add parameters to control line width and
	  line type.

2006-11-14  ggorjan

	* [r1012] R/bandplot.R, R/boxplot.n.R, R/lowess.R, R/plot.lm.R,
	  R/plotCI.R, R/plotmeans.R, R/residplot.R, R/wapply.R,
	  man/boxplot.n.Rd, man/plotCI.Rd, man/plotmeans.Rd: Removed
	  executable property

2006-11-14  warnes

	* [r1010] tests/heatmap2Test.Rout.save: Update output file to match
	  (trivial) changes in the test code.
	* [r1008] ChangeLog, NEWS: Update ChangeLog and NEWS files for
	  release 2.3.2.
	* [r1007] DESCRIPTION: Update version number
	* [r1006] DESCRIPTION: Update version number and maintainer
	* [r1005] man/heatmap.2.Rd: Correct problem with labeled
	  correlation matrix example. Thanks to Jean Vidal for reporting
	  the error..

2006-08-02  warnes

	* [r977] inst/doc/BalloonPlot.pdf, man/balloonplot.Rd,
	  man/bandplot.Rd, man/boxplot.n.Rd, man/colorpanel.Rd,
	  man/hist2d.Rd, man/ooplot.Rd, man/overplot.Rd, man/plot.lm2.Rd,
	  man/plotCI.Rd, man/plotmeans.Rd, man/residplot.Rd,
	  man/sinkplot.Rd, man/smartlegend.Rd, man/space.Rd,
	  man/textplot.Rd, man/wapply.Rd: Update my email address

2006-06-26  nj7w

	* [r967] R/heatmap.2.R: Fixed a bug which displayed warnings when
	  Rowv and Colv were specified as dendrograms

2006-03-10  warnes

	* [r937] tests/heatmap2Test.R: Remove code that added a local path

2006-03-09  nj7w

	* [r935] tests/heatmap2Test.R, tests/heatmap2Test.Rout.save: Added
	  the correct library path where gplots is installed locally and
	  corresponding .save file
	* [r934] tests/heatmap2Test.R: Updated the tests file
	* [r933] R/heatmap.2.R: Removed the condition Colv != Rowv as it
	  has already been taken care of
	* [r932] rtPCR.rda: Deleted rtPCR.rda from the main directory
	* [r931] ChangeLog: Added ChangeLog

2006-03-07  nj7w

	* [r919] DESCRIPTION, NEWS: Updated ChangeLog and NEWS
	* [r918] tests, tests/heatmap2Test.R, tests/heatmap2Test.Rout.save:
	  Added the tests and fixed corrupted files
	* [r917] data/rtPCR.rda: Replaced the corrupted rtPCR.rda file in
	  data directory
	* [r916] tests: Removed the corrputed tests directory
	* [r915] data/rtPCR.rda, rtPCR.rda: Replaced the corrupted
	  rtPCR.rda file in data directory

2006-03-03  nj7w

	* [r914] R/heatmap.2.R, man/heatmap.2.Rd: Updated the code and man
	  page to make sure the Rowv and Colv values are properly handled

2006-03-02  warnes

	* [r908] R/balloonplot.R: Adjust row total placement to adjust for
	  width of the totals
	* [r907] DESCRIPTION, R/balloonplot.R, man/1: Row totals in
	  ballonplot were in reverse order. Fixed.

2006-02-23  nj7w

	* [r899] R/heatmap.2.R, tests/heatmap2Test.R: Add ability to scale
	  the color key using the new 'keysize' argument.
	* [r898] tests, tests/heatmap2Test.R, tests/heatmap2Test.Rout.save:
	  Add tests for heatmap.2
	* [r897] inst/doc/Figure1.eps, inst/doc/Table.eps,
	  inst/doc/bka.bst, inst/doc/heatmap2.R, inst/doc/heatmap2.tex,
	  inst/doc/regression_rank_image.Rda,
	  inst/doc/regression_rank_image_II.Rda: Move heatmap and
	  ballonplot paper source materials to their respective cvs modules
	* [r896] inst/doc/BalloonPlot.R, inst/doc/BalloonPlot.tex,
	  inst/doc/Figure1.pdf, inst/doc/Figure2.pdf, inst/doc/Figure3.pdf,
	  inst/doc/Figure4.pdf, inst/doc/Rnews.sty,
	  inst/doc/SurvivedPop.pdf, inst/doc/SurvivedPopWhite.pdf,
	  inst/doc/SurvivedProp.pdf, inst/doc/TotalPop.pdf: Moved
	  balloonplot paper materials to BallonPlotPaper cvs module
	* [r891] inst/doc/colSeparator.pdf, inst/doc/logData.pdf,
	  inst/doc/logDataColDendrogram.pdf, inst/doc/logDataColOrd.pdf,
	  inst/doc/logDataColOrdNo.pdf, inst/doc/logDataRowDendrogram.pdf,
	  inst/doc/origScale.pdf, inst/doc/rowSeparator.pdf,
	  inst/doc/scaled.pdf: Remove heatmap paper files and move them to
	  the HeatmapPaper cvs module.
	* [r888] inst/doc/colSeparator.pdf, inst/doc/logData.pdf,
	  inst/doc/logDataColDendrogram.pdf, inst/doc/logDataColOrd.pdf,
	  inst/doc/logDataColOrdNo.pdf, inst/doc/logDataRowDendrogram.pdf,
	  inst/doc/origScale.pdf, inst/doc/rowSeparator.pdf,
	  inst/doc/scaled.pdf: Added figures for heatmap2 paper
	* [r887] inst/doc/regression_rank_image.Rda,
	  inst/doc/regression_rank_image_II.Rda: Added the .Rda files for
	  the heatmap2 paper
	* [r886] inst/doc/heatmap2.tex: Added the source - (tex file) of
	  the heatmap paper
	* [r885] inst/doc/heatmap2.R: Added the code for the figures of
	  heatmap paper

2006-02-21  nj7w

	* [r884] R/heatmap.2.R, man/heatmap.2.Rd: Minor updates to
	  heatmap.2 - fixed Rowv, Colv and dendrogram behaviour. Now
	  Rowv=NULL or FALSE both imply no dendrogram computation.

2006-01-12  warnes

	* [r844] inst/doc/BalloonPlot.R, inst/doc/BalloonPlot.pdf,
	  inst/doc/BalloonPlot.tex, inst/doc/Figure1.pdf,
	  inst/doc/Figure2.pdf, inst/doc/Figure3.pdf, inst/doc/Figure4.pdf:
	  more updates
	* [r843] inst/doc/bka.bst: Add Biometrica bibliography style file
	* [r842] inst/doc/BalloonPlot.tex: A little more.
	* [r841] inst/doc/BalloonPlot.tex: Updates to respond to referee.

2006-01-12  nj7w

	* [r840] inst/doc/BalloonPlot.tex: Added references

2005-12-13  nj7w

	* [r811] inst/doc/BalloonPlot.tex: Fixed Nitin's company name
	* [r809] ChangeLog, NEWS: Updated NEWS and removed ChangeLog

2005-12-12  nj7w

	* [r802] R/plotmeans.R: Fixed bug in plotmeans - based on Stefano
	  Calza's suggestion

2005-12-07  nj7w

	* [r787] DESCRIPTION: Updated version number
	* [r786] NAMESPACE, R/plot.lm.R, man/plot.lm2.Rd: Added plot.lm
	* [r785] man/barplot2.Rd: Changed the default grey colors to heat
	  colors, if height is matrix
	* [r784] R/barplot2.R: Changed the default greay colors to heat
	  colors, if height is matrix

2005-12-06  nj7w

	* [r783] man/barplot2.Rd: Fixed minor error in documentation of
	  barplot2

2005-12-02  warnes

	* [r777] R/plot.lm.R: Remove .Alias calls, since .Alias is defunct.

2005-12-01  nj7w

	* [r776] man/balloonplot.Rd, man/bandplot.Rd, man/boxplot.n.Rd,
	  man/colorpanel.Rd, man/overplot.Rd, man/plotmeans.Rd,
	  man/textplot.Rd, man/wapply.Rd: Updated Greg's email address

2005-11-23  nj7w

	* [r764] inst/doc/BalloonPlot.R, inst/doc/BalloonPlot.pdf,
	  inst/doc/BalloonPlot.tex, inst/doc/Figure2.pdf: Updated Figure 2
	  colors

2005-11-18  warnes

	* [r743] inst/doc/BalloonPlot.pdf, inst/doc/Figure1.pdf,
	  inst/doc/Figure2.pdf, inst/doc/Figure3.pdf, inst/doc/Figure4.pdf:
	  Latest version of the pdf files
	* [r742] inst/doc/BalloonPlot.tex: Nitin works for the Cambrige
	  Group, not Pfizer.
	* [r741] inst/doc/BalloonPlot.tex: Minor text rewording.
	* [r740] inst/doc/BalloonPlot.R, inst/doc/BalloonPlot.tex: More
	  edits.
	* [r739] R/balloonplot.R: Recent changes to align row totals with
	  the overall total broke how
	  the marginal cumulative fractions were displayed. This patch
	  fixes
	  the problem.
	* [r737] DESCRIPTION, R/balloonplot.R, R/plot.lm.R,
	  inst/doc/BalloonPlot.pdf, man/balloonplot.Rd: - Update
	  documentation for balloonplot to match the latest code.
	  - Correct spelling of 'show.zeroes' to 'show.zeros'
	* [r736] R/colorpanel.R: More changes: colorpanel now allows only 2
	  colors to be specified if
	  no 'middle' color is desired.

2005-11-17  warnes

	* [r735] R/balloonplot.R: Allow user to control removal of
	  duplicate entries in balloonplot.
	* [r734] R/colorpanel.R, man/colorpanel.Rd: Extend colorpanel to
	  handle just two-colors in addition to three.

2005-11-09  nj7w

	* [r733] inst/doc/BalloonPlot.pdf: Updated the pdf file
	* [r732] inst/doc/BalloonPlot.R, inst/doc/BalloonPlot.tex: Updated
	  the changes
	* [r731] inst/doc/Figure4.pdf: Modified figure 4
	* [r730] inst/doc/BalloonPlot.R: Updated code
	* [r729] inst/doc/Figure3.pdf: Modified figure 3
	* [r728] inst/doc/Figure2.pdf: Modified figure 2
	* [r727] inst/doc/Figure1.pdf: Modified figure 1

2005-11-08  nj7w

	* [r726] man/plotCI.Rd: Updated Greg's email

2005-11-07  nj7w

	* [r725] inst/doc/BalloonPlot.pdf, inst/doc/BalloonPlot.tex: Minor
	  modifications to fit the code properly on pdf

2005-11-07  warnes

	* [r724] inst/doc/BalloonPlot.R: Add R code that generates plots
	* [r723] inst/doc/Figure2.pdf, inst/doc/Figure3.pdf,
	  inst/doc/Figure4.pdf: Add figures to CVS
	* [r722] inst/doc/BalloonPlot.pdf, inst/doc/BalloonPlot.tex,
	  inst/doc/Figure1.pdf: Text changes

2005-11-04  warnes

	* [r721] R/balloonplot.R: Fix some alignment issues.
	* [r720] inst/doc/BalloonPlot.pdf, inst/doc/Table.pdf: Remove
	  Table.pdf since it is no longer needed
	* [r719] inst/doc/BalloonPlot.pdf, inst/doc/BalloonPlot.tex,
	  inst/doc/Figure1.pdf: Nitin's Changes
	* [r718] inst/doc/SurvivedPop.pdf, inst/doc/SurvivedPopWhite.pdf,
	  inst/doc/SurvivedProp.pdf, inst/doc/TotalPop.pdf: Add figure
	  plots
	* [r717] inst/doc/BalloonPlot.pdf, inst/doc/BalloonPlot.tex: Fix
	  paths

2005-10-20  nj7w

	* [r705] inst/doc/Figure1.eps, inst/doc/Table.eps: added the eps
	  version of figures
	* [r704] inst/doc/BalloonPlot.pdf: Updated BallonPlot.pdf
	* [r703] inst/doc/SurvivedPop.pdf, inst/doc/SurvivedPopWhite.pdf,
	  inst/doc/SurvivedProp.pdf, inst/doc/TotalPop.pdf: Removed Old
	  Figure
	* [r702] inst/doc/Figure1.pdf, inst/doc/Table.pdf: Added the new
	  figure - for total popluation - Balloonplot
	* [r701] inst/doc/BalloonPlot.tex: Modified the BallonPlot article
	* [r700] inst/doc/BalloonPlot.tex: Added references

2005-10-19  arnima

	* [r697] man/rich.color.Rd: The last example now displays the
	  correct heat.colors.
	  Default 'palette' argument is now a single string, not a vector.
	* [r696] R/rich.color.R: Default 'palette' argument is now a single
	  string, not a vector.

2005-10-14  warnes

	* [r694] DESCRIPTION, R/balloonplot.R, man/balloonplot.Rd:
	  Formatting fixes:
	  - Handle multiple row or column category variables
	  - Separate rows/columns of category labels by lines
	  - Fix handling of 'cumsum' plots on row/column labels
	  - Improve display of row/column sums

2005-10-13  warnes

	* [r693] man/balloonplot.Rd: Add example using Titanic data that
	  exercises the multi-factor
	  display.

2005-10-11  warnes

	* [r692] R/balloonplot.R: Initial changes to allow multiple x and y
	  factor variables. Yet to
	  be done: 1) remove extra 'boxes'. 2) omit duplicated values

2005-10-04  warnes

	* [r691] inst/doc/BalloonPlot.pdf, inst/doc/BalloonPlot.tex: more
	  minor fixes
	* [r690] inst/doc/BalloonPlot.pdf, inst/doc/BalloonPlot.tex: fix
	  spacing
	* [r689] inst/doc/Rnews.sty: Inlcude Rnews.sty
	* [r688] inst/doc/BalloonPlot.pdf, inst/doc/BalloonPlot.tex: Some
	  textual edits.

2005-10-03  nj7w

	* [r687] inst/doc/SurvivedPop.pdf, inst/doc/SurvivedPopWhite.pdf,
	  inst/doc/SurvivedProp.pdf, inst/doc/TotalPop.pdf: Added figures
	  for the R-News Article

2005-09-29  nj7w

	* [r680] inst/doc/BalloonPlot.pdf, inst/doc/BalloonPlot.tex:
	  Updated the documentation - added the name of the person who
	  asked the question
	* [r679] inst, inst/doc, inst/doc/BalloonPlot.pdf,
	  inst/doc/BalloonPlot.tex: Added R-news article

2005-09-12  nj7w

	* [r671] man/hist2d.Rd, man/ooplot.Rd, man/residplot.Rd,
	  man/sinkplot.Rd, man/smartlegend.Rd, man/space.Rd: Updated Greg's
	  email
	* [r670] R/balloonplot.R: Updated version of balloonplot - by
	  Romain Francois <francoisromain@free.fr>

2005-09-09  nj7w

	* [r669] ChangeLog, DESCRIPTION: Updated the version and ChangeLog
	* [r668] R/balloonplot.R, man/balloonplot.Rd: Changes in ballon
	  plot based on Romain Francois (francoisromain@free.fr)
	  suggestions

2005-09-06  nj7w

	* [r666] DESCRIPTION: Updated package dependencies
	* [r665] NEWS: Added NEWS

2005-09-02  nj7w

	* [r655] ChangeLog: Added ChangeLog

2005-08-31  nj7w

	* [r644] DESCRIPTION: Added DESCRIPTION file
	* [r643] DESCRIPTION.in: removed DESCRIPTION.in

2005-06-09  nj7w

	* [r625] R/balloonplot.R, R/bandplot.R, R/boxplot.n.R,
	  R/colorpanel.R, R/heatmap.2.R, R/hist2d.R, R/lowess.R,
	  R/ooplot.R, R/overplot.R, R/plotCI.R, R/plotmeans.R,
	  R/qqnorm.aov.R, R/residplot.R, R/rich.color.R, R/sinkplot.R,
	  R/smartlegend.R, R/space.R, R/textplot.R, R/wapply.R, man/1,
	  man/bandplot.Rd, man/barplot2.Rd, man/boxplot.n.Rd,
	  man/hist2d.Rd, man/lowess.Rd, man/plotCI.Rd, man/plotmeans.Rd,
	  man/residplot.Rd, man/space.Rd, man/wapply.Rd: Updating the
	  version number, and various help files to synchronize splitting
	  of gregmisc bundle in 4 individual components.
	* [r624] R/barplot2.R: Changes based on Marc Schwartz's suggestions
	  to handel 0's and NA's appropriately.

2005-05-13  nj7w

	* [r621] man/heatmap.2.Rd: 1) Using dQuote.ascii function in
	  read.xls as the new version of dQuote doesn't work proprly with
	  UTF-8 locale.
	  2) Modified CrossTable.Rd usage in gmodels
	  3) Modified heatmap.2 usage in gplots.

2005-04-04  warnes

	* [r603] R/overplot.R: Explicitly reference package containing
	  lowess.formula in
	  panel.overplot(). This should fix the error reported by Troels
	  Ring
	  <tring@gvdnet.dk>.

2005-02-26  nj7w

	* [r565] R/heatmap.2.R, man/heatmap.2.Rd, man/rich.color.Rd,
	  man/sinkplot.Rd, man/textplot.Rd: *** empty log message ***

2005-02-25  warnes

	* [r563] man/rich.color.Rd: Integrate changes submitted by Arni
	  Magnusson
	* [r559] NAMESPACE: Add dependency imports from 'stats' package.

2005-02-22  warnes

	* [r555] R/bandplot.R: Fix problem in passing graphical parameters
	  (xlim,etc).@

2005-02-08  warnes

	* [r541] DESCRIPTION.in: Improve package title.
	* [r540] R/heatmap.2.R: Ignore missing values when computing
	  symmetric range.

2005-02-02  warnes

	* [r530] man/plotmeans.Rd: Add more extensive example.

2005-01-14  warnes

	* [r516] R/textplot.R: Code can be simplified because R now
	  supports selecting a fixed width font.

2005-01-12  warnes

	* [r515] DESCRIPTION.in: Add dependency on R 1.9.0+ to prevent
	  poeple from installing on old
	  versions of R which don't support namespaces.

2004-11-30  warnes

	* [r495] R/heatmap.2.R, man/heatmap.2.Rd: 1. Add new parameters for
	  controlling color key:
	  - If `symkey==TRUE', the color key will be made symmetric about
	  0.
	  - The `densadj' parameter can be used to modify the smoother
	  width
	  (see the `adjust' parameter under `help(density)') for the
	  density
	  plotted in the key.
	  
	  2. Fix handling of rowsep/colsep.
	  
	  3. Vector of length 2 giving the width (colsep) or height
	  (rowsep) the separator box
	  drawn by colsep and rowsep as a function of the width (colsep) or
	  height (rowsep) of a cell.
	  
	  4. Appropriate changes to the corresponding help page, plus some
	  minor formatting changes.

2004-11-03  warnes

	* [r474] R/heatmap.2.R: Fix bugs in layout of cell notes. They were
	  being plotted top down
	  rather than bottom up. Further reordering of the x matrix didn't
	  also reorder the notes. Both issues should now be resolved.

2004-09-27  warneg

	* [r461] DESCRIPTION, DESCRIPTION.in, man/sinkplot.Rd,
	  man/textplot.Rd: Updated to pass R CMD check.

2004-09-03  warneg

	* [r453] man/textplot.Rd: Provide explicit package for call to
	  nobs.
	* [r452] man/heatmap.2.Rd: Fix typos.
	* [r446] DESCRIPTION, NAMESPACE, R/balloonplot.R, R/bandplot.R,
	  R/barplot2.R, R/boxplot.n.R, R/colorpanel.R, R/heatmap.2.R,
	  R/hist2d.R, R/lowess.R, R/ooplot.R, R/overplot.R, R/plotCI.R,
	  R/plotmeans.R, R/qqnorm.aov.R, R/residplot.R, R/rich.color.R,
	  R/sinkplot.R, R/smartlegend.R, R/space.R, R/textplot.R,
	  R/wapply.R: initial bundle checkin

2004-09-02  warneg

	* [r442] DESCRIPTION, DESCRIPTION.in, NAMESPACE, man/1,
	  man/residplot.Rd: Initial revision

2004-07-29  warnes

	* [r426] R/plotCI.R, man/plotCI.Rd: Integrate changes from the
	  version of plotCI maintained by Martin Maechler.

2004-06-30  warnes

	* [r393] R/textplot.R: Remove commented-out code.
	* [r392] R/textplot.R: Fixed text size calculations

2004-06-28  warnes

	* [r391] R/barplot2.R, man/barplot2.Rd: - Default 2-d color set to
	  grey as in (v2.0.0) r-devel
	  - The default (v1.9.1) barplot method now handles vectors and 1-d
	  arrays
	  (e.g., obtained by table()) the same, and uses grey instead of
	  heat color palettes in these cases. (Also fixes PR#6776.)
	  - Updated to reflect the addition of 'offset' argument in base
	  - Fix bug in stacked barplots, which would not be plotted
	  properly

2004-06-24  warnes

	* [r385] R/heatmap.2.R, man/heatmap.2.Rd: Add ability to specify
	  color of NA cells.

2004-05-27  warnes

	* [r349] man/plotCI.Rd: Fix spelling error.

2004-05-26  warnes

	* [r347] R/overplot.R: One more fix to get it right.
	* [r346] R/overplot.R: Use triple-colon operator ':::' to access
	  plot.formula from the graphics package.
	* [r344] man/rich.color.Rd: Replace 'F' by 'FALSE' to pass R CMD
	  check.

2004-05-25  warnes

	* [r338] R/overplot.R: Work around bug in R 1.9.X due to
	  plot.formula() not having the same
	  arguments as plot().
	* [r336] R/rich.color.R, man/rich.color.Rd: Add rich.colors()
	  submitted by Arni Magnusson <arnima@u.washington.edu>.
	* [r328] R/ooplot.R, man/ooplot.Rd: ??

2004-05-24  warnes

	* [r324] R/plotCI.R, R/plotmeans.R: Modified to use invalid() to
	  check arguments instead of missing().
	  This fixes some build errors under R-1.9.0-Patched.

2004-04-22  warnes

	* [r319] R/ooplot.R, man/ooplot.Rd: Integrate changes from Lodewijk
	  Bonebakker <bonebakker@comcast.net>

2004-04-13  warnes

	* [r318] R/space.R, man/space.Rd: Add ability to space points along
	  'y' direction.

2004-04-02  warnes

	* [r313] R/smartlegend.R: Fixed smartlegend() positioning when x
	  and/or y axis are log-scale.

2004-03-30  warnes

	* [r311] R/textplot.R: - Fix bug in textplot() reported by Wright,
	  Kevin <kevin.d.wright@pioneer.com>.

2004-03-26  warnes

	* [r305] man/textplot.Rd: Update to match changes in textplot()
	  code.
	* [r304] man/ooplot.Rd: Remove Windows EOL characters.
	* [r302] man/barplot2.Rd: - Remove some commented-out code.
	  - Remove cvs log tag.
	* [r300] R/textplot.R: Misc changes.

2004-02-17  warnes

	* [r290] man/ooplot.Rd: Minor fix to ooplot documentation.
	* [r289] R/ooplot.R, man/ooplot.Rd: Integrate ooplot updates
	  provided by Lodewijk Bonebakker
	  <bonebakker@comcast.net>

2004-02-02  warnes

	* [r287] R/colorpanel.R, man/colorpanel.Rd: - Add colorpanel
	  function, which generates a smoothly varying band of
	  colors over a three color range (lo, mid, high).

2004-01-21  warnes

	* [r283] man/textplot.Rd: - Correct arguments to halign to match
	  code.
	* [r281] R/lowess.R: Track R 1.9.0's move of 'lowess' from the base
	  package to the (new)
	  stats package.
	* [r279] man/sinkplot.Rd: - Fix sinkplot() example by replacing 'T'
	  with 'TRUE'.
	* [r278] man/ooplot.Rd: - Add some more details to the ooplot()
	  documentation. The
	  documentation is *not* complete.
	* [r277] R/textplot.R: - Mark sprint() as depreciated.
	  - Replace references to sprint with capture.output()
	  - Use match.arg for halign and valign arguments to
	  textplot.default.
	  - Fix textplot.character so that a vector of characters is
	  properly
	  displayed. Previouslt, character vectors were plotted on top of
	  each
	  other.

2004-01-19  warnes

	* [r276] R/sinkplot.R, man/sinkplot.Rd: New function sinkplot(), as
	  requested on R-devel by Kevin Wright
	  <kwright@eskimo.com> in
	  https://www.stat.math.ethz.ch/pipermail/r-devel/2004-January/028483.html.

2004-01-15  warnes

	* [r274] R/ooplot.R, man/ooplot.Rd: Add initial code and docs for
	  ooplot() function submitted by Lodewijk
	  Bonebakker <bonebakker@comcast.net>.

2003-12-03  warnes

	* [r253] man/lowess.Rd, man/textplot.Rd, man/wapply.Rd: - match
	  function argument defaults with 'usage'
	* [r252] R/heatmap.2.R, man/heatmap.2.Rd: - Fix buglets in heatmap
	  function
	  - Make a slight enhancement to the example code.

2003-12-02  warnes

	* [r251] R/heatmap.2.R: Integrated some suggestions from Sean Davis
	  <sdavis2@mail.nih.gov>.
	* [r250] man/heatmap.2.Rd: - Make final example use 16 colors
	  instead of 8. This looks nicer.
	* [r248] man/barplot2.Rd: - Remove '%' character from example code
	  to avoid errors.
	* [r247] R/plotCI.R: - Add '...' parameter to call to text to allow
	  user to control size/color/etc.

2003-12-01  warnes

	* [r246] man/barplot2.Rd: - updated to match changes to barplot()
	  in base.
	* [r245] data, data/rtPCR.rda: - Renamed rtPCR.Rda to rtPCR.rda so
	  that R will properly load the file
	  when data(rtPCR) is executed.
	* [r243] R/barplot2.R: - Follow patches applied to barplot() in
	  base.

2003-11-24  warnes

	* [r242] man/heatmap.2.Rd: Fix unbalanced braces.
	* [r240] R/overplot.R, man/overplot.Rd: Fix errors reported by R
	  CMD check.

2003-11-21  warnes

	* [r239] man/overplot.Rd: Added missing closing brace.
	* [r238] man/rtPCR.Rd: Initial addition of these files. Used in
	  examples of overplot().
	* [r236] R/heatmap.2.R, man/heatmap.2.Rd: Applied my enhancements
	  to the heatmap() code from R 1.8.0, and added
	  documentation of these changes.
	* [r235] R/overplot.R, man/overplot.Rd: - Discovered that axis(N)
	  does the right thing without needing to be
	  given location for tick marks. This allowed simplification of the
	  code.
	  
	  - Minor other changes for distribution
	  
	  - Addition of overplot.Rd documentation.
	* [r231] R/heatmap.2.R, man/heatmap.2.Rd: - Integrated my
	  extensions into the R 1.8.0 version of heatmap.
	  - Add Rd documentation.

2003-11-19  warnes

	* [r228] man/bandplot.Rd: Remove extranious NULL that confused R
	  CMD check.

2003-11-18  warnes

	* [r226] man/barplot2.Rd: - Tiny fix to remove R CMD check error.
	* [r225] man/smartlegend.Rd: - Added missing closing brace.
	* [r224] R/overplot.R: - Convert from MS-Dos to Unix line endings.
	  - Reformat to 80 columns.

2003-11-10  warnes

	* [r220] R/heatmap.2.R, R/overplot.R, R/plotmeans.R, R/space.R,
	  R/wapply.R: - Add files contributed by Arni Magnusson
	  <arnima@u.washington.edu>. As well as some of my own.

2003-08-19  warnes

	* [r219] R/heatmap.2.R: - Copy of local changes.
	* [r218] R/heatmap.2.R: - Checkin before re-integrating local
	  changes.

2003-06-19  warnes

	* [r201] R/heatmap.2.R: - Added enhanced heatmap function.

2003-06-09  warnes

	* [r200] man/smartlegend.Rd: - Add help text for smartlegend.
	* [r199] R/smartlegend.R: - New function smartlegend().

2003-04-22  warnes

	* [r191] R/plotmeans.R: - Fixeed warning messing caused when
	  'connect' is a vector.
	* [r187] R/barplot2.R: Update from Marc Schwartz, modified by
	  Gregory Warnes:
	  
	  - Modified dim() checks for 'ci.l' and 'ci.u' against 'height'
	  to remove R v1.7.0 if() based error msgs for vector conditions.

2003-04-04  warnes

	* [r182] R/balloonplot.R, man/qqnorm.aov.Rd: - Change occurences of
	  'T' to 'TRUE'
	* [r179] man/textplot.Rd: - Updated to match changes in textplot
	  function:
	  - Added textplot.character
	  - Renamed arguments "col.margin" and "row.margin" to "cmar", and
	  "rmar" so that specifying "col='red'" is possible.
	  - Fixed R CMD check errors
	  - Improve comments in example
	  - Add textplot.matrix example
	* [r178] R/textplot.R: - Added textplot.character to handle
	  character strings.
	  - Moved test for vector and matrix arguments to textplot.default.
	  - Renamed arguments "col.margin" and "row.margin" to "cmar", and
	  "rmar" so that specifying "col='red'" is possible.

2003-04-02  warnes

	* [r175] R/textplot.R, man/textplot.Rd: - Added textplot function
	  and friends, as well as documentation.

2003-03-08  warnes

	* [r171] man/balloonplot.Rd: - Forgot to update arglist in \usage
	  section.
	* [r169] R/balloonplot.R, man/balloonplot.Rd: - Added parameters
	  for rotation of and amount of space allocated for
	  the row and column labels.

2003-03-07  warnes

	* [r168] R/hist2d.R, R/qqnorm.aov.R: - Minor changes to code to
	  allow the package to be provided as an
	  S-Plus chapter.
	* [r167] R/lowess.R: - Add 'NULL' as the last element of if
	  statement that defines
	  lowess.default so that when the file is sourced, S-Plus doesn't
	  display the function definition.
	* [r166] R/lowess.R: - Specify where the defualt lowess function
	  should be found.
	  - Use getFunction in S-Plus instead of 'get'

2003-01-30  warnes

	* [r159] R/barplot2.R, man/barplot2.Rd: - Added argument 'add' to
	  allow for the addition of a barplot to an
	  existing graphic. Default is FALSE

2003-01-20  warnes

	* [r156] R/balloonplot.R, man/balloonplot.Rd: - Updated balloonplot
	  help page.
	* [r155] R/wapply.R, man/wapply.Rd: - Updated wapply.R to allow
	  specification of evaluation points when
	  method is 'width' or 'range' using the 'pts' argument.
	  - Updated wapply.Rd to add 'pts' argument
	  - Fixed typos, spelling errors, gramatical errors and lack of
	  clarity
	  in wapply.Rd help text.

2003-01-03  warnes

	* [r154] R/balloonplot.R, man/balloonplot.Rd: - Initial checkin of
	  balloonplot functions and documentation.
	* [r153] man/space.Rd: - Added reference to and comparison example
	  of sunflowerplot.
	  - Added code to put example plots on same plot window using
	  par(mfrow=...).

2003-01-02  warnes

	* [r150] R/barplot2.R: - Changed assignment statements that used
	  "=" to "<-" to avoid syntax
	  errors in older versions of the S language.
	* [r149] R/lowess.R: - Added wrapper code so that R-specific
	  fiddling won't be executed
	  under S-Plus.
	* [r147] R/qqnorm.aov.R, man/qqnorm.aov.Rd: - Renamed first
	  parameter to match qqnorm generic.
	* [r146] man/qqnorm.aov.Rd: Added additional help text from Kjeitl.

2002-12-31  warnes

	* [r145] R/qqnorm.aov.R, man/qqnorm.aov.Rd: Initial checkin of
	  qqnorm.aov function and documentation submitted by
	  Kjetil Halvorsen <kjetilh@jupiter.umsanet.edu.bo>.

2002-11-04  warnes

	* [r143] R/barplot2.R, man/barplot2.Rd: Updates from Marc Schwartz:
	  
	  - Updated underlying code to be based upon the new barplot() in R
	  v1.6.1
	  - This now uses the 'axis.lty' and 'border' arguments
	  - In R v1.6.0, R Core introduced a new function called axTicks().
	  This is an R equivalent of the C code for CreateAtVector in
	  plot.c.
	  This now enables me to get the axis tick mark positions
	  consistently
	  when the 'height' related axis is either linear or log. Thus, I
	  can
	  now have consistent tick marks and can plot grid lines in either
	  situation. If 'plot.grid = TRUE' and 'grid.inc' is specified,
	  then
	  I still use pretty() to determine the tick marks and lines.
	  - This code now depends on R 1.6.0 or later.

2002-10-30  warnes

	* [r139] R/plot.lm.R: - Commented out plot.lm() code since recent
	  changes in R have broken it.

2002-10-11  warnes

	* [r131] R/barplot2.R: - Fixed log scale errors in legend() call

2002-10-01  warnes

	* [r130] man/hist2d.Rd: - Added examples of using 'contour' and
	  'filled.contour' for display.

2002-09-24  warnes

	* [r121] R/plotmeans.R: - Changed digits=options("digits") which
	  produces a list of length 1
	  to digits=getOption("digits") which returns a vector of length
	  one.
	  The former was causing an error when passed to round().

2002-09-23  warnes

	* [r119] man/barplot2.Rd: - Fixed syntax errors in barplot2.Rd and
	  CrossTable.Rd
	  - Fixed incorrect translation of 'F' (distribution) to 'FALSE' in
	  glh.test.Rd
	* [r117] R/boxplot.n.R, R/hist2d.R, R/lowess.R, R/residplot.R,
	  man/bandplot.Rd, man/hist2d.Rd, man/lowess.Rd, man/plotCI.Rd,
	  man/space.Rd: - Modified all files to include CVS Id and Log
	  tags.
	* [r116] R/barplot2.R, man/barplot2.Rd: - Added CrossTable() and
	  barplot2() code and docs contributed by Marc Schwartz.
	  - Permit combinations() to be used when r>n provided
	  repeat.allowed=TRUE
	  - Bumped up version number

2002-08-01  warnes

	* [r114] R/hist2d.R, R/wapply.R: - Corrected documentation mismatch
	  for ci, ci.default.
	  
	  - Replaced all occurences of '_' for assignment with '<-'.
	  
	  - Replaced all occurences of 'T' or 'F' for 'TRUE' and 'FALSE'
	  with
	  the spelled out version.
	  
	  - Updaded version number and date.

2002-04-09  warneg

	* [r109] R/bandplot.R, R/boxplot.n.R, R/hist2d.R, R/plot.lm.R,
	  R/plotCI.R, R/plotmeans.R, R/residplot.R, R/space.R, R/wapply.R,
	  man/bandplot.Rd, man/boxplot.n.Rd, man/hist2d.Rd,
	  man/plotmeans.Rd, man/space.Rd, man/wapply.Rd: Checkin for
	  version 0.5.3

2002-03-27  warneg

	* [r107] man/lowess.Rd: Added "..." argument to lowess.default.
	* [r106] R/lowess.R: - Added code to append "..." to the argument
	  list of lowess.default.
	  
	  - Fixed a wrong default for f in lowess.formula. Was 3, but
	  should
	  have been 2/3.

2002-03-26  warneg

	* [r104] R/lowess.R, man/lowess.Rd: - Changed methods to include
	  '...' to match the generic.
	  - Updated for version 0.5.1
	* [r100] man/hist2d.Rd: Initial checkin.

2002-03-20  warneg

	* [r94] R/plotmeans.R: - Changes to add compatibility with S-Plus
	  2000
	* [r93] R/plotCI.R: - Changes to add compatibility with S-Plus
	  2000.
	* [r92] R/boxplot.n.R: - Updated to work in S-Plus 2000 as well as
	  R.

2002-03-05  warneg

	* [r88] R/plotmeans.R: - Replace "T" with "TRUE". Problems arrive
	  when there is a variable named "T".

2002-02-20  warneg

	* [r81] man/lowess.Rd, man/plotCI.Rd, man/space.Rd: Minor changes,
	  typo and formatting fixes.
	* [r80] R/bandplot.R, man/bandplot.Rd: - Generalized to allow
	  specification of the multiples of the standard deviation levels
	  to be plotted (0=mean, 1=1 sd, ..).
	  - Now (invisibly) returnes computed smooths.

2002-02-16  warneg

	* [r78] man/bandplot.Rd: Added bandplot documentation.
	* [r77] R/wapply.R: - Fixed Bug: When method=="range", the absolute
	  range of x was being
	  used to compute the relative width instead of the (correct)
	  relative
	  range.
	* [r76] R/wapply.R: - Corrected problem removing missing values:
	  The missing values of $x
	  and $y were being removed indepdendently, leaving an uneven
	  number
	  of points in the result.

2002-02-04  warneg

	* [r74] R/space.R: - Add na.rm parameter and make the default TRUE.
	* [r73] R/hist2d.R: Initial checkin.
	* [r72] R/plotCI.R: - When err="x", 'col' was being used to plot
	  bars, rather than 'barcol'.
	* [r71] R/plotCI.R: - fixed typo, when err="x", lty was 'slty'
	  causing an error.

2001-12-12  warneg

	* [r54] man/space.Rd: - Quoted underscore character in my email
	  address.
	  - Added correct keyword.
	* [r52] man/plotmeans.Rd: Added documentation for xaxt parameter.
	* [r51] R/lowess.R: Updated to explicitly list control arguments to
	  lowess.formula.
	* [r50] man/lowess.Rd: Initial checkin. Code copied from R source
	  package and extended.

2001-12-07  warneg

	* [r46] man/wapply.Rd: Fixed an problem where \code was incorrectly
	  delimited by parens
	  rather than curly brackets.
	* [r42] R/lowess.R, R/plot.lm.R, R/residplot.R, man/space.Rd:
	  Initial checkin.
	* [r41] R/space.R: - Added cvs tags.
	* [r40] R/space.R: - Leave first point at center, rather than
	  shifting by s/2 to the left. This looks better when there are
	  more than 2 'spaced' points.

2001-12-05  warneg

	* [r33] R/plotmeans.R: - Added ability to use the t-distribution to
	  compute confidence
	  intervals. This is controlled using the 'use.t' parameter.
	* [r31] man/plotmeans.Rd: - Added documentation of use.t parameter.
	* [r30] man/wapply.Rd: - Clarified how the width of the window is
	  computed when method="nobs".
	* [r29] R/wapply.R: - Added a better default for "width" when
	  method="nobs". For this case,
	  width=max(5, length(x)/10).
	  
	  - Allow omission of x values which result in missing y values via
	  'drop.na' parameter.

2001-10-26  warneg

	* [r28] R/plotmeans.R: Added correct handling of 'xaxt="n"'.

2001-10-16  warneg

	* [r27] man/wapply.Rd: Fixed unbalanced brace.
	* [r26] man/plotCI.Rd: Added minbar and maxbar parameters.
	* [r25] man/plotmeans.Rd: Forgot to add minbar and maxbar to usage
	  section.
	* [r24] man/plotmeans.Rd: Added description of minbar and maxbar.
	* [r23] R/plotCI.R: - Added minbar and maxbar parameters
	  - Added cvs id and log tags to header
	* [r22] R/plotmeans.R: Added cvs id and log tag to file header
	* [r21] R/plotmeans.R: Added minbar and maxbar parameters.
	* [r20] man/plotmeans.Rd: Added description of minsd parameter.
	* [r19] R/plotmeans.R: Added minsd parameter.

2001-09-18  warneg

	* [r18] R/plotCI.R, R/plotmeans.R: Release 0.3.2

2001-09-01  warneg

	* [r16] man/wapply.Rd: Release 0.3.0

2001-08-31  warneg

	* [r15] R/wapply.R: Used wrong character in header (% instead of
	  #). Fixed.
	* [r14] R/bandplot.R: Used wrong comment character (% instead of #)
	  in header. Fixed.

2001-08-25  warneg

	* [r10] R/wapply.R: Initial checkin.
	* [r9] man/boxplot.n.Rd, man/plotmeans.Rd: Added CVS header.
	* [r8] man/wapply.Rd: Initial Checkin

2001-05-30  warneg

	* [r2] ., R, R/boxplot.n.R, R/plotCI.R, R/plotmeans.R, man,
	  man/boxplot.n.Rd, man/plotCI.Rd, man/plotmeans.Rd: Initial
	  revision

